POST /auth/cli/start
Start a device-code auth flow for the CLI.
Unauthenticated: the CLI has no credential yet — that's what it's obtaining. The human authorizes out-of-band in the dashboard.
curl -X POST "https://api.ellipsis.dev/v1/auth/cli/start" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"device_code": "string",
"expires_in": 0,
"interval": 0,
"user_code": "string",
"verification_uri": "string",
"verification_uri_complete": "string"
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.auth.cli.start()
print(result){
"device_code": "string",
"expires_in": 0,
"interval": 0,
"user_code": "string",
"verification_uri": "string",
"verification_uri_complete": "string"
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.auth.cli.start();
console.log(result);{
"device_code": "string",
"expires_in": 0,
"interval": 0,
"user_code": "string",
"verification_uri": "string",
"verification_uri_complete": "string"
}No request body.
{
"properties": {
"device_code": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"interval": {
"type": "integer"
},
"user_code": {
"type": "string"
},
"verification_uri": {
"type": "string"
},
"verification_uri_complete": {
"type": "string"
}
},
"required": [
"device_code",
"user_code",
"verification_uri",
"verification_uri_complete",
"interval",
"expires_in"
],
"type": "object"
}